# $Revision: 1.15 $, $Date: 2010/11/25 10:28:06 $
%define		subver	2010-11-05
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		eventum
Summary:	DokuWiki Eventum Plugin
Summary(pl.UTF-8):	Wtyczka Include (dołączania) dla Eventum
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	3
License:	GPL v2
Source0:	http://github.com/glensc/dokuwiki-plugin-eventum/zipball/%{subver}#/%{plugin}-%{version}.zip
# Source0-md5:	ff1da92b0781e273eeb8541920c5a08e
Group:		Applications/WWW
URL:		http://www.dokuwiki.org/plugin:eventum
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20080505
Requires:	php-pear-XML_RPC
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
Adds Eventum link button to edit toolbar.

Also adds extra info to Eventum interwiki links fetched from Eventum
via XML_RPC.

%prep
%setup -qc
mv *-%{plugin}-*/* .
rm *-%{plugin}-*/.gitignore

version=$(awk '/date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js/css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.txt
%{plugindir}/*.css
%{plugindir}/conf
%{plugindir}/images

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dokuwiki-plugin-eventum.spec,v $
Revision 1.15  2010/11/25 10:28:06  glen
- package mysterically lost from th, rebuild

Revision 1.14  2010/11/05 19:32:59  glen
- use actual release archive

Revision 1.13  2010/11/05 19:16:36  glen
- up to 20101105, icon now in plugin dir

Revision 1.12  2010/10/02 17:36:43  glen
- fix addresses

Revision 1.11  2010/10/02 17:34:21  glen
- up to 20101002

Revision 1.10  2010/10/02 17:28:15  glen
- switch to github source

Revision 1.9  2010/09/28 17:41:27  glen
- up to 20100928

Revision 1.8  2010/09/27 19:49:22  glen
- up to 20100927

Revision 1.7  2009/02/02 11:57:48  glen
- decrease sort to 390. issue 22731

Revision 1.6  2008/12/04 09:37:49  glen
- 20081202: add XML_RPC info fetching from eventum

Revision 1.5  2008/09/26 10:15:00  glen
- fix tagging

Revision 1.4  2008/09/09 22:27:59  glen
- there should be tab, not space

Revision 1.3  2008/09/09 22:24:02  glen
- update plugin to work with dokuwiki 20080505. issue 19410

Revision 1.2  2008/03/04 09:28:19  glen
- link issue interwiki icon

Revision 1.1  2008/03/04 08:55:58  glen
- new
